const gulp = require('gulp'),
    watch = require('gulp-watch'),
    sass = require('gulp-sass'),
    autoprefixer = require('gulp-autoprefixer'),
    csso = require('gulp-csso'),
    sourcemaps = require('gulp-sourcemaps'),
    gcmq = require('gulp-group-css-media-queries'),
    rename = require("gulp-rename");


// Tord without minification
gulp.task('tord', function() {
    watch('src/*.scss', function() {
        gulp.src('src/*.scss')
            .pipe(sourcemaps.init())
            .pipe(sass.sync().on('error', sass.logError))
            .pipe(autoprefixer({
                browsers: ['last 5 versions', 'not ie <= 10'],
                cascade: false
            }))
            .pipe(gcmq())
            .pipe(sourcemaps.write('../maps'))
            .pipe(gulp.dest('dist'))
    });
});


// Minified Version of Tord
gulp.task('tord-min', function() {
    watch('src/*.scss', function() {
        gulp.src('src/*.scss')
            .pipe(sass.sync().on('error', sass.logError))
            .pipe(autoprefixer({
                browsers: ['last 5 versions', 'not ie <= 10'],
                cascade: false
            }))
            .pipe(gcmq())
            .pipe(csso())
            .pipe(rename({
                suffix: ".min"
            }))
            .pipe(gulp.dest('dist'))
    });
});


gulp.task('default', ['tord','tord-min']);